## org.apache.batik.ext.awt.image.rendered
Class GaussianBlurRed8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.GaussianBlurRed8Bit

All Implemented Interfaces:
  CachableRed, java.awt.image.RenderedImage

public class GaussianBlurRed8Bit
extends AbstractRed

This implementation of RenderableImage will render its input GraphicsNode on demand for tiles.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`GaussianBlurRed8Bit(CachableRed src, double stdDevX, double stdDevY, java.awt.RenderingHints rh)` Construct a blurred version of `src`, by blurring with a gaussian kernel with standard Deviation of `stdDev` pixels.
`GaussianBlurRed8Bit(CachableRed src, double stdDev, java.awt.RenderingHints rh)` Construct a blurred version of `src`, by blurring with a gaussian kernel with standard Deviation of `stdDev` pixels.

Method Summary
`java.awt.image.WritableRaster` `copyData(java.awt.image.WritableRaster wr)`
`protected static java.awt.image.ColorModel` `fixColorModel(CachableRed src)`
`static int` `surroundPixels(double stdDev)` Calculate the number of surround pixels required for a given standard Deviation.
`static int` `surroundPixels(double stdDev, java.awt.RenderingHints hints)` Calculate the number of surround pixels required for a given standard Deviation.

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTile, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GaussianBlurRed8Bit

    public GaussianBlurRed8Bit(CachableRed src,
                               double stdDev,
                               java.awt.RenderingHints rh)

  Construct a blurred version of `src`, by blurring with a gaussian kernel with standard Deviation of `stdDev` pixels.

Parameters:
  `src` - The source image to blur
  `stdDev` - The Standard Deviation of the Gaussian kernel.
  `rh` - Rendering hints.

### GaussianBlurRed8Bit

    public GaussianBlurRed8Bit(CachableRed src,
                               double stdDevX,
                               double stdDevY,
                               java.awt.RenderingHints rh)

  Construct a blurred version of `src`, by blurring with a gaussian kernel with standard Deviation of `stdDev` pixels.

Parameters:
  `src` - The source image to blur
  `stdDevX` - The Standard Deviation of the Gaussian kernel in X
  `stdDevY` - The Standard Deviation of the Gaussian kernel in Y
  `rh` - Rendering hints.

Method Detail

### surroundPixels

    public static int surroundPixels(double stdDev)

  Calculate the number of surround pixels required for a given standard Deviation.

### surroundPixels

    public static int surroundPixels(double stdDev,
                                     java.awt.RenderingHints hints)

  Calculate the number of surround pixels required for a given standard Deviation. Also takes into account rendering quality hint.

### copyData

    public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

### fixColorModel

    protected static java.awt.image.ColorModel fixColorModel(CachableRed src)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.